"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const BITCOUNT_1 = require("./BITCOUNT");
describe('BITCOUNT', () => {
    describe('transformArguments', () => {
        it('simple', () => {
            assert_1.strict.deepEqual(BITCOUNT_1.transformArguments('key'), ['BITCOUNT', 'key']);
        });
        it('with range', () => {
            assert_1.strict.deepEqual(BITCOUNT_1.transformArguments('key', {
                start: 0,
                end: 1
            }), ['BITCOUNT', 'key', '0', '1']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.bitCount', async (client) => {
        assert_1.strict.equal(await client.bitCount('key'), 0);
    });
});
