"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const BLMOVE_1 = require("./BLMOVE");
const client_1 = __importDefault(require("../client"));
const cluster_1 = __importDefault(require("../cluster"));
describe('BLMOVE', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(BLMOVE_1.transformArguments('source', 'destination', 'LEFT', 'RIGHT', 0), ['BLMOVE', 'source', 'destination', 'LEFT', 'RIGHT', '0']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.blMove', async (client) => {
        const [blMoveReply] = await Promise.all([
            client.blMove(client_1.default.commandOptions({
                duplicateConnection: true
            }), 'source', 'destination', 'LEFT', 'RIGHT', 0),
            client.lPush('source', 'element')
        ]);
        assert_1.strict.equal(blMoveReply, 'element');
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.blMove', async (cluster) => {
        const [blMoveReply] = await Promise.all([
            cluster.blMove(cluster_1.default.commandOptions({
                duplicateConnection: true
            }), '{tag}source', '{tag}destination', 'LEFT', 'RIGHT', 0),
            cluster.lPush('{tag}source', 'element')
        ]);
        assert_1.strict.equal(blMoveReply, 'element');
    });
});
