"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const client_1 = __importDefault(require("../client"));
const cluster_1 = __importDefault(require("../cluster"));
const test_utils_1 = require("../test-utils");
const BRPOPLPUSH_1 = require("./BRPOPLPUSH");
describe('BRPOPLPUSH', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(BRPOPLPUSH_1.transformArguments('source', 'destination', 0), ['BRPOPLPUSH', 'source', 'destination', '0']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.brPopLPush', async (client) => {
        const [popReply] = await Promise.all([
            client.brPopLPush(client_1.default.commandOptions({
                duplicateConnection: true
            }), 'source', 'destination', 0),
            client.lPush('source', 'element')
        ]);
        assert_1.strict.equal(popReply, 'element');
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.brPopLPush', async (cluster) => {
        const [popReply] = await Promise.all([
            cluster.brPopLPush(cluster_1.default.commandOptions({
                duplicateConnection: true
            }), '{tag}source', '{tag}destination', 0),
            cluster.lPush('{tag}source', 'element')
        ]);
        assert_1.strict.equal(popReply, 'element');
    });
});
