"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const BZPOPMAX_1 = require("./BZPOPMAX");
const client_1 = __importDefault(require("../client"));
describe('BZPOPMAX', () => {
    describe('transformArguments', () => {
        it('single', () => {
            assert_1.strict.deepEqual(BZPOPMAX_1.transformArguments('key', 0), ['BZPOPMAX', 'key', '0']);
        });
        it('multiple', () => {
            assert_1.strict.deepEqual(BZPOPMAX_1.transformArguments(['1', '2'], 0), ['BZPOPMAX', '1', '2', '0']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.bzPopMax', async (client) => {
        const [popReply] = await Promise.all([
            client.bzPopMax(client_1.default.commandOptions({
                duplicateConnection: true
            }), 'key', 0),
            client.zAdd('key', [{
                    value: '1',
                    score: 1
                }, {
                    value: '2',
                    score: 2
                }])
        ]);
        assert_1.strict.deepEqual(popReply, {
            key: 'key',
            value: '2',
            score: 2
        });
    });
});
