"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const BZPOPMIN_1 = require("./BZPOPMIN");
const client_1 = __importDefault(require("../client"));
describe('BZPOPMIN', () => {
    describe('transformArguments', () => {
        it('single', () => {
            assert_1.strict.deepEqual(BZPOPMIN_1.transformArguments('key', 0), ['BZPOPMIN', 'key', '0']);
        });
        it('multiple', () => {
            assert_1.strict.deepEqual(BZPOPMIN_1.transformArguments(['1', '2'], 0), ['BZPOPMIN', '1', '2', '0']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.bzPopMin', async (client) => {
        const [popReply] = await Promise.all([
            client.bzPopMin(client_1.default.commandOptions({
                duplicateConnection: true
            }), 'key', 0),
            client.zAdd('key', [{
                    value: '1',
                    score: 1
                }, {
                    value: '2',
                    score: 2
                }])
        ]);
        assert_1.strict.deepEqual(popReply, {
            key: 'key',
            value: '1',
            score: 1
        });
    });
});
