"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformReply = exports.transformArguments = void 0;
function transformArguments() {
    return ['CLUSTER', 'INFO'];
}
exports.transformArguments = transformArguments;
const regex = /.*:(?<value>.*)(\n?)/g;
function transformReply(reply) {
    const iterator = reply.matchAll(regex);
    return {
        state: iterator.next().value[1],
        slots: {
            assigned: Number(iterator.next().value[1]),
            ok: Number(iterator.next().value[1]),
            pfail: Number(iterator.next().value[1]),
            fail: Number(iterator.next().value[1])
        },
        knownNodes: Number(iterator.next().value[1]),
        size: Number(iterator.next().value[1]),
        currentEpoch: Number(iterator.next().value[1]),
        myEpoch: Number(iterator.next().value[1]),
        stats: {
            messagesSent: Number(iterator.next().value[1]),
            messagesReceived: Number(iterator.next().value[1])
        }
    };
}
exports.transformReply = transformReply;
