"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const CLUSTER_INFO_1 = require("./CLUSTER_INFO");
describe('CLUSTER INFO', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(CLUSTER_INFO_1.transformArguments(), ['CLUSTER', 'INFO']);
    });
    it('transformReply', () => {
        assert_1.strict.deepEqual(CLUSTER_INFO_1.transformReply([
            'cluster_state:ok',
            'cluster_slots_assigned:16384',
            'cluster_slots_ok:16384',
            'cluster_slots_pfail:0',
            'cluster_slots_fail:0',
            'cluster_known_nodes:6',
            'cluster_size:3',
            'cluster_current_epoch:6',
            'cluster_my_epoch:2',
            'cluster_stats_messages_sent:1483972',
            'cluster_stats_messages_received:1483968'
        ].join('\n')), {
            state: 'ok',
            slots: {
                assigned: 16384,
                ok: 16384,
                pfail: 0,
                fail: 0
            },
            knownNodes: 6,
            size: 3,
            currentEpoch: 6,
            myEpoch: 2,
            stats: {
                messagesSent: 1483972,
                messagesReceived: 1483968
            }
        });
    });
});
