"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const DEL_1 = require("./DEL");
describe('DEL', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(DEL_1.transformArguments('key'), ['DEL', 'key']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(DEL_1.transformArguments(['key1', 'key2']), ['DEL', 'key1', 'key2']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.del', async (client) => {
        assert_1.strict.equal(await client.del('key'), 0);
    });
});
