"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const EXISTS_1 = require("./EXISTS");
describe('EXISTS', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(EXISTS_1.transformArguments('key'), ['EXISTS', 'key']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(EXISTS_1.transformArguments(['1', '2']), ['EXISTS', '1', '2']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.exists', async (client) => {
        assert_1.strict.equal(await client.exists('key'), false);
    });
});
