"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const EXPIREAT_1 = require("./EXPIREAT");
describe('EXPIREAT', () => {
    describe('transformArguments', () => {
        it('number', () => {
            assert_1.strict.deepEqual(EXPIREAT_1.transformArguments('key', 1), ['EXPIREAT', 'key', '1']);
        });
        it('date', () => {
            const d = new Date();
            assert_1.strict.deepEqual(EXPIREAT_1.transformArguments('key', d), ['EXPIREAT', 'key', Math.floor(d.getTime() / 1000).toString()]);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.expireAt', async (client) => {
        assert_1.strict.equal(await client.expireAt('key', 1), false);
    });
});
