"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const FLUSHALL_1 = require("./FLUSHALL");
describe('FLUSHALL', () => {
    describe('transformArguments', () => {
        it('default', () => {
            assert_1.strict.deepEqual(FLUSHALL_1.transformArguments(), ['FLUSHALL']);
        });
        it('ASYNC', () => {
            assert_1.strict.deepEqual(FLUSHALL_1.transformArguments(FLUSHALL_1.RedisFlushModes.ASYNC), ['FLUSHALL', 'ASYNC']);
        });
        it('SYNC', () => {
            assert_1.strict.deepEqual(FLUSHALL_1.transformArguments(FLUSHALL_1.RedisFlushModes.SYNC), ['FLUSHALL', 'SYNC']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.flushAll', async (client) => {
        assert_1.strict.equal(await client.flushAll(), 'OK');
    });
});
