"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const FLUSHALL_1 = require("./FLUSHALL");
const FLUSHDB_1 = require("./FLUSHDB");
describe('FLUSHDB', () => {
    describe('transformArguments', () => {
        it('default', () => {
            assert_1.strict.deepEqual(FLUSHDB_1.transformArguments(), ['FLUSHDB']);
        });
        it('ASYNC', () => {
            assert_1.strict.deepEqual(FLUSHDB_1.transformArguments(FLUSHALL_1.RedisFlushModes.ASYNC), ['FLUSHDB', 'ASYNC']);
        });
        it('SYNC', () => {
            assert_1.strict.deepEqual(FLUSHDB_1.transformArguments(FLUSHALL_1.RedisFlushModes.SYNC), ['FLUSHDB', 'SYNC']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.flushDb', async (client) => {
        assert_1.strict.equal(await client.flushDb(), 'OK');
    });
});
