"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const GET_1 = require("./GET");
describe('GET', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(GET_1.transformArguments('key'), ['GET', 'key']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.get', async (client) => {
        assert_1.strict.equal(await client.get('key'), null);
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.get', async (cluster) => {
        assert_1.strict.equal(await cluster.get('key'), null);
    });
});
