"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const HDEL_1 = require("./HDEL");
describe('HDEL', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(HDEL_1.transformArguments('key', 'field'), ['HDEL', 'key', 'field']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(HDEL_1.transformArguments('key', ['1', '2']), ['HDEL', 'key', '1', '2']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.hDel', async (client) => {
        assert_1.strict.equal(await client.hDel('key', 'field'), 0);
    });
});
