"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const HGETALL_1 = require("./HGETALL");
describe('HGETALL', () => {
    describe('transformReply', () => {
        it('empty', () => {
            assert_1.strict.deepEqual(HGETALL_1.transformReply([]), Object.create(null));
        });
        it('with values', () => {
            assert_1.strict.deepEqual(HGETALL_1.transformReply(['key1', 'value1', 'key2', 'value2']), Object.create(null, {
                key1: {
                    value: 'value1',
                    configurable: true,
                    enumerable: true,
                    writable: true
                },
                key2: {
                    value: 'value2',
                    configurable: true,
                    enumerable: true,
                    writable: true
                }
            }));
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.hGetAll', async (client) => {
        assert_1.strict.deepEqual(await client.hGetAll('key'), Object.create(null));
    });
});
