"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const HMGET_1 = require("./HMGET");
describe('HMGET', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(HMGET_1.transformArguments('key', 'field'), ['HMGET', 'key', 'field']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(HMGET_1.transformArguments('key', ['field1', 'field2']), ['HMGET', 'key', 'field1', 'field2']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.hmGet', async (client) => {
        assert_1.strict.deepEqual(await client.hmGet('key', 'field'), [null]);
    });
});
