"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const LINDEX_1 = require("./LINDEX");
describe('LINDEX', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(LINDEX_1.transformArguments('key', 'element'), ['LINDEX', 'key', 'element']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.lIndex', async (client) => {
        assert_1.strict.equal(await client.lIndex('key', 'element'), null);
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.lIndex', async (cluster) => {
        assert_1.strict.equal(await cluster.lIndex('key', 'element'), null);
    });
});
