"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const LINSERT_1 = require("./LINSERT");
describe('LINSERT', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(LINSERT_1.transformArguments('key', 'BEFORE', 'pivot', 'element'), ['LINSERT', 'key', 'BEFORE', 'pivot', 'element']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.lInsert', async (client) => {
        assert_1.strict.equal(await client.lInsert('key', 'BEFORE', 'pivot', 'element'), 0);
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.lLen', async (cluster) => {
        assert_1.strict.equal(await cluster.lInsert('key', 'BEFORE', 'pivot', 'element'), 0);
    });
});
