"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const LLEN_1 = require("./LLEN");
describe('LLEN', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(LLEN_1.transformArguments('key'), ['LLEN', 'key']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.lLen', async (client) => {
        assert_1.strict.equal(await client.lLen('key'), 0);
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.lLen', async (cluster) => {
        assert_1.strict.equal(await cluster.lLen('key'), 0);
    });
});
