"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const LMOVE_1 = require("./LMOVE");
describe('LMOVE', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(LMOVE_1.transformArguments('source', 'destination', 'LEFT', 'RIGHT'), ['LMOVE', 'source', 'destination', 'LEFT', 'RIGHT']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.lMove', async (client) => {
        assert_1.strict.equal(await client.lMove('source', 'destination', 'LEFT', 'RIGHT'), null);
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.lMove', async (cluster) => {
        assert_1.strict.equal(await cluster.lMove('{tag}source', '{tag}destination', 'LEFT', 'RIGHT'), null);
    });
});
