"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const LOLWUT_1 = require("./LOLWUT");
describe('LOLWUT', () => {
    describe('transformArguments', () => {
        it('simple', () => {
            assert_1.strict.deepEqual(LOLWUT_1.transformArguments(), ['LOLWUT']);
        });
        it('with version', () => {
            assert_1.strict.deepEqual(LOLWUT_1.transformArguments(5), ['LOLWUT', 'VERSION', '5']);
        });
        it('with version and optional arguments', () => {
            assert_1.strict.deepEqual(LOLWUT_1.transformArguments(5, 1, 2, 3), ['LOLWUT', 'VERSION', '5', '1', '2', '3']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.LOLWUT', async (client) => {
        assert_1.strict.equal(typeof (await client.LOLWUT()), 'string');
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.LOLWUT', async (cluster) => {
        assert_1.strict.equal(typeof (await cluster.LOLWUT()), 'string');
    });
});
