"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const LPOP_1 = require("./LPOP");
describe('LPOP', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(LPOP_1.transformArguments('key'), ['LPOP', 'key']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.lPop', async (client) => {
        assert_1.strict.equal(await client.lPop('key'), null);
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.lPop', async (cluster) => {
        assert_1.strict.equal(await cluster.lPop('key'), null);
    });
});
