"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const LPOP_COUNT_1 = require("./LPOP_COUNT");
describe('LPOP COUNT', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(LPOP_COUNT_1.transformArguments('key', 1), ['LPOP', 'key', '1']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.lPopCount', async (client) => {
        assert_1.strict.equal(await client.lPopCount('key', 1), null);
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.lPop', async (cluster) => {
        assert_1.strict.equal(await cluster.lPopCount('key', 1), null);
    });
});
