"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const LPUSH_1 = require("./LPUSH");
describe('LPUSH', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(LPUSH_1.transformArguments('key', 'field'), ['LPUSH', 'key', 'field']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(LPUSH_1.transformArguments('key', ['1', '2']), ['LPUSH', 'key', '1', '2']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.lPush', async (client) => {
        assert_1.strict.equal(await client.lPush('key', 'field'), 1);
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.lPush', async (cluster) => {
        assert_1.strict.equal(await cluster.lPush('key', 'field'), 1);
    });
});
