"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const LPUSHX_1 = require("./LPUSHX");
describe('LPUSHX', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(LPUSHX_1.transformArguments('key', 'element'), ['LPUSHX', 'key', 'element']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(LPUSHX_1.transformArguments('key', ['1', '2']), ['LPUSHX', 'key', '1', '2']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.lPushX', async (client) => {
        assert_1.strict.equal(await client.lPushX('key', 'element'), 0);
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.lPushX', async (cluster) => {
        assert_1.strict.equal(await cluster.lPushX('key', 'element'), 0);
    });
});
