"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const LRANGE_1 = require("./LRANGE");
describe('LRANGE', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(LRANGE_1.transformArguments('key', 0, -1), ['LRANGE', 'key', '0', '-1']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.lRange', async (client) => {
        assert_1.strict.deepEqual(await client.lRange('key', 0, -1), []);
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.lRange', async (cluster) => {
        assert_1.strict.deepEqual(await cluster.lRange('key', 0, -1), []);
    });
});
