"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const LREM_1 = require("./LREM");
describe('LREM', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(LREM_1.transformArguments('key', 0, 'element'), ['LREM', 'key', '0', 'element']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.lRem', async (client) => {
        assert_1.strict.equal(await client.lRem('key', 0, 'element'), 0);
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.lRem', async (cluster) => {
        assert_1.strict.equal(await cluster.lRem('key', 0, 'element'), 0);
    });
});
