"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const LSET_1 = require("./LSET");
describe('LSET', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(LSET_1.transformArguments('key', 0, 'element'), ['LSET', 'key', '0', 'element']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.lSet', async (client) => {
        await client.lPush('key', 'element');
        assert_1.strict.equal(await client.lSet('key', 0, 'element'), 'OK');
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.lSet', async (cluster) => {
        await cluster.lPush('key', 'element');
        assert_1.strict.equal(await cluster.lSet('key', 0, 'element'), 'OK');
    });
});
