"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const LTRIM_1 = require("./LTRIM");
describe('LTRIM', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(LTRIM_1.transformArguments('key', 0, -1), ['LTRIM', 'key', '0', '-1']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.lTrim', async (client) => {
        assert_1.strict.equal(await client.lTrim('key', 0, -1), 'OK');
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.lTrim', async (cluster) => {
        assert_1.strict.equal(await cluster.lTrim('key', 0, -1), 'OK');
    });
});
