"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const PEXPIREAT_1 = require("./PEXPIREAT");
describe('PEXPIREAT', () => {
    describe('transformArguments', () => {
        it('number', () => {
            assert_1.strict.deepEqual(PEXPIREAT_1.transformArguments('key', 1), ['PEXPIREAT', 'key', '1']);
        });
        it('date', () => {
            const d = new Date();
            assert_1.strict.deepEqual(PEXPIREAT_1.transformArguments('key', d), ['PEXPIREAT', 'key', d.getTime().toString()]);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.pExpireAt', async (client) => {
        assert_1.strict.equal(await client.pExpireAt('key', 1), false);
    });
});
