"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const PFADD_1 = require("./PFADD");
describe('PFADD', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(PFADD_1.transformArguments('key', 'element'), ['PFADD', 'key', 'element']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(PFADD_1.transformArguments('key', ['1', '2']), ['PFADD', 'key', '1', '2']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.pfAdd', async (client) => {
        assert_1.strict.equal(await client.pfAdd('key', '1'), true);
    });
});
