"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const PFCOUNT_1 = require("./PFCOUNT");
describe('PFCOUNT', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(PFCOUNT_1.transformArguments('key'), ['PFCOUNT', 'key']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(PFCOUNT_1.transformArguments(['1', '2']), ['PFCOUNT', '1', '2']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.pfCount', async (client) => {
        assert_1.strict.equal(await client.pfCount('key'), 0);
    });
});
