"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const RPOP_1 = require("./RPOP");
describe('RPOP', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(RPOP_1.transformArguments('key'), ['RPOP', 'key']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.rPop', async (client) => {
        assert_1.strict.equal(await client.rPop('key'), null);
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.rPop', async (cluster) => {
        assert_1.strict.equal(await cluster.rPop('key'), null);
    });
});
