"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const RPOPLPUSH_1 = require("./RPOPLPUSH");
describe('RPOPLPUSH', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(RPOPLPUSH_1.transformArguments('source', 'destination'), ['RPOPLPUSH', 'source', 'destination']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.rPopLPush', async (client) => {
        assert_1.strict.equal(await client.rPopLPush('source', 'destination'), null);
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.rPopLPush', async (cluster) => {
        assert_1.strict.equal(await cluster.rPopLPush('{tag}source', '{tag}destination'), null);
    });
});
