"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const RPOP_COUNT_1 = require("./RPOP_COUNT");
describe('RPOP COUNT', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(RPOP_COUNT_1.transformArguments('key', 1), ['RPOP', 'key', '1']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.rPopCount', async (client) => {
        assert_1.strict.equal(await client.rPopCount('key', 1), null);
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.rPopCount', async (cluster) => {
        assert_1.strict.equal(await cluster.rPopCount('key', 1), null);
    });
});
