"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const RPUSH_1 = require("./RPUSH");
describe('RPUSH', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(RPUSH_1.transformArguments('key', 'element'), ['RPUSH', 'key', 'element']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(RPUSH_1.transformArguments('key', ['1', '2']), ['RPUSH', 'key', '1', '2']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.rPush', async (client) => {
        assert_1.strict.equal(await client.rPush('key', 'element'), 1);
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.rPush', async (cluster) => {
        assert_1.strict.equal(await cluster.rPush('key', 'element'), 1);
    });
});
