"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const RPUSHX_1 = require("./RPUSHX");
describe('RPUSHX', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(RPUSHX_1.transformArguments('key', 'element'), ['RPUSHX', 'key', 'element']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(RPUSHX_1.transformArguments('key', ['1', '2']), ['RPUSHX', 'key', '1', '2']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.rPushX', async (client) => {
        assert_1.strict.equal(await client.rPushX('key', 'element'), 0);
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.rPushX', async (cluster) => {
        assert_1.strict.equal(await cluster.rPushX('key', 'element'), 0);
    });
});
