"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const SADD_1 = require("./SADD");
describe('SADD', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(SADD_1.transformArguments('key', 'member'), ['SADD', 'key', 'member']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(SADD_1.transformArguments('key', ['1', '2']), ['SADD', 'key', '1', '2']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.sAdd', async (client) => {
        assert_1.strict.equal(await client.sAdd('key', 'member'), 1);
    });
});
