"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const SDIFFSTORE_1 = require("./SDIFFSTORE");
describe('SDIFFSTORE', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(SDIFFSTORE_1.transformArguments('destination', 'key'), ['SDIFFSTORE', 'destination', 'key']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(SDIFFSTORE_1.transformArguments('destination', ['1', '2']), ['SDIFFSTORE', 'destination', '1', '2']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.sDiffStore', async (client) => {
        assert_1.strict.equal(await client.sDiffStore('destination', 'key'), 0);
    });
});
