"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const SETRANGE_1 = require("./SETRANGE");
describe('SETRANGE', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(SETRANGE_1.transformArguments('key', 0, 'value'), ['SETRANGE', 'key', '0', 'value']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.setRange', async (client) => {
        assert_1.strict.equal(await client.setRange('key', 0, 'value'), 5);
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.setRange', async (cluster) => {
        assert_1.strict.equal(await cluster.setRange('key', 0, 'value'), 5);
    });
});
