"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const SREM_1 = require("./SREM");
describe('SREM', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(SREM_1.transformArguments('key', 'member'), ['SREM', 'key', 'member']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(SREM_1.transformArguments('key', ['1', '2']), ['SREM', 'key', '1', '2']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.sRem', async (client) => {
        assert_1.strict.equal(await client.sRem('key', 'member'), 0);
    });
});
