"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const STRLEN_1 = require("./STRLEN");
describe('STRLEN', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(STRLEN_1.transformArguments('key'), ['STRLEN', 'key']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.strLen', async (client) => {
        assert_1.strict.equal(await client.strLen('key'), 0);
    });
    test_utils_1.itWithCluster(test_utils_1.TestRedisClusters.OPEN, 'cluster.strLen', async (cluster) => {
        assert_1.strict.equal(await cluster.strLen('key'), 0);
    });
});
