"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const UNLINK_1 = require("./UNLINK");
describe('UNLINK', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(UNLINK_1.transformArguments('key'), ['UNLINK', 'key']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(UNLINK_1.transformArguments(['1', '2']), ['UNLINK', '1', '2']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.unlink', async (client) => {
        assert_1.strict.equal(await client.unlink('key'), 0);
    });
});
