"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const XACK_1 = require("./XACK");
describe('XACK', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(XACK_1.transformArguments('key', 'group', '1-0'), ['XACK', 'key', 'group', '1-0']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(XACK_1.transformArguments('key', 'group', ['1-0', '2-0']), ['XACK', 'key', 'group', '1-0', '2-0']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.xAck', async (client) => {
        assert_1.strict.equal(await client.xAck('key', 'group', '1-0'), 0);
    });
});
