"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const XAUTOCLAIM_1 = require("./XAUTOCLAIM");
describe('XAUTOCLAIM', () => {
    describe('transformArguments', () => {
        it('simple', () => {
            assert_1.strict.deepEqual(XAUTOCLAIM_1.transformArguments('key', 'group', 'consumer', 1, '0-0'), ['XAUTOCLAIM', 'key', 'group', 'consumer', '1', '0-0']);
        });
        it('with COUNT', () => {
            assert_1.strict.deepEqual(XAUTOCLAIM_1.transformArguments('key', 'group', 'consumer', 1, '0-0', {
                COUNT: 1
            }), ['XAUTOCLAIM', 'key', 'group', 'consumer', '1', '0-0', 'COUNT', '1']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.xAutoClaim', async (client) => {
        await Promise.all([
            client.xGroupCreate('key', 'group', '$', {
                MKSTREAM: true
            }),
            client.xGroupCreateConsumer('key', 'group', 'consumer'),
        ]);
        assert_1.strict.deepEqual(await client.xAutoClaim('key', 'group', 'consumer', 1, '0-0'), {
            nextId: '0-0',
            messages: []
        });
    });
});
