"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const XAUTOCLAIM_JUSTID_1 = require("./XAUTOCLAIM_JUSTID");
describe('XAUTOCLAIM JUSTID', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(XAUTOCLAIM_JUSTID_1.transformArguments('key', 'group', 'consumer', 1, '0-0'), ['XAUTOCLAIM', 'key', 'group', 'consumer', '1', '0-0', 'JUSTID']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.xAutoClaimJustId', async (client) => {
        await Promise.all([
            client.xGroupCreate('key', 'group', '$', {
                MKSTREAM: true
            }),
            client.xGroupCreateConsumer('key', 'group', 'consumer'),
        ]);
        assert_1.strict.deepEqual(await client.xAutoClaimJustId('key', 'group', 'consumer', 1, '0-0'), {
            nextId: '0-0',
            messages: []
        });
    });
});
