"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const XCLAIM_JUSTID_1 = require("./XCLAIM_JUSTID");
describe('XCLAIM JUSTID', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(XCLAIM_JUSTID_1.transformArguments('key', 'group', 'consumer', 1, '0-0'), ['XCLAIM', 'key', 'group', 'consumer', '1', '0-0', 'JUSTID']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.xClaimJustId', async (client) => {
        await Promise.all([
            client.xGroupCreate('key', 'group', '$', {
                MKSTREAM: true
            }),
            client.xGroupCreateConsumer('key', 'group', 'consumer'),
        ]);
        assert_1.strict.deepEqual(await client.xClaimJustId('key', 'group', 'consumer', 1, '0-0'), []);
    });
});
