"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const XDEL_1 = require("./XDEL");
describe('XDEL', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(XDEL_1.transformArguments('key', '0-0'), ['XDEL', 'key', '0-0']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(XDEL_1.transformArguments('key', ['0-0', '1-0']), ['XDEL', 'key', '0-0', '1-0']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.xDel', async (client) => {
        assert_1.strict.equal(await client.xDel('key', '0-0'), 0);
    });
});
