"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const XGROUP_CREATE_1 = require("./XGROUP_CREATE");
describe('XGROUP CREATE', () => {
    describe('transformArguments', () => {
        it('simple', () => {
            assert_1.strict.deepEqual(XGROUP_CREATE_1.transformArguments('key', 'group', '$'), ['XGROUP', 'CREATE', 'key', 'group', '$']);
        });
        it('with MKSTREAM', () => {
            assert_1.strict.deepEqual(XGROUP_CREATE_1.transformArguments('key', 'group', '$', {
                MKSTREAM: true
            }), ['XGROUP', 'CREATE', 'key', 'group', '$', 'MKSTREAM']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.xGroupCreate', async (client) => {
        assert_1.strict.equal(await client.xGroupCreate('key', 'group', '$', {
            MKSTREAM: true
        }), 'OK');
    });
});
