"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const XGROUP_DELCONSUMER_1 = require("./XGROUP_DELCONSUMER");
describe('XGROUP DELCONSUMER', () => {
    it('transformArguments', () => {
        assert_1.strict.deepEqual(XGROUP_DELCONSUMER_1.transformArguments('key', 'group', 'consumer'), ['XGROUP', 'DELCONSUMER', 'key', 'group', 'consumer']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.xGroupDelConsumer', async (client) => {
        await client.xGroupCreate('key', 'group', '$', {
            MKSTREAM: true
        });
        assert_1.strict.equal(await client.xGroupDelConsumer('key', 'group', 'consumer'), 0);
    });
});
