"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const XGROUP_SETID_1 = require("./XGROUP_SETID");
describe('XGROUP SETID', () => {
    describe('transformArguments', () => {
        assert_1.strict.deepEqual(XGROUP_SETID_1.transformArguments('key', 'group', '0'), ['XGROUP', 'SETID', 'key', 'group', '0']);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.xGroupSetId', async (client) => {
        await client.xGroupCreate('key', 'group', '$', {
            MKSTREAM: true
        });
        assert_1.strict.equal(await client.xGroupSetId('key', 'group', '0'), 'OK');
    });
});
