"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const XINFO_CONSUMERS_1 = require("./XINFO_CONSUMERS");
describe('XINFO CONSUMERS', () => {
    describe('transformArguments', () => {
        assert_1.strict.deepEqual(XINFO_CONSUMERS_1.transformArguments('key', 'group'), ['XINFO', 'CONSUMERS', 'key', 'group']);
    });
    it('transformReply', () => {
        assert_1.strict.deepEqual(XINFO_CONSUMERS_1.transformReply([
            ['name', 'Alice', 'pending', 1, 'idle', 9104628],
            ['name', 'Bob', 'pending', 1, 'idle', 83841983]
        ]), [{
                name: 'Alice',
                pending: 1,
                idle: 9104628
            }, {
                name: 'Bob',
                pending: 1,
                idle: 83841983
            }]);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.xInfoConsumers', async (client) => {
        await client.xGroupCreate('key', 'group', '$', {
            MKSTREAM: true
        });
        assert_1.strict.deepEqual(await client.xInfoConsumers('key', 'group'), []);
    });
});
