"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const XINFO_GROUPS_1 = require("./XINFO_GROUPS");
describe('XINFO GROUPS', () => {
    describe('transformArguments', () => {
        assert_1.strict.deepEqual(XINFO_GROUPS_1.transformArguments('key'), ['XINFO', 'GROUPS', 'key']);
    });
    it('transformReply', () => {
        assert_1.strict.deepEqual(XINFO_GROUPS_1.transformReply([
            ['name', 'mygroup', 'consumers', 2, 'pending', 2, 'last-delivered-id', '1588152489012-0'],
            ['name', 'some-other-group', 'consumers', 1, 'pending', 0, 'last-delivered-id', '1588152498034-0']
        ]), [{
                name: 'mygroup',
                consumers: 2,
                pending: 2,
                lastDeliveredId: '1588152489012-0'
            }, {
                name: 'some-other-group',
                consumers: 1,
                pending: 0,
                lastDeliveredId: '1588152498034-0'
            }]);
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.xInfoGroups', async (client) => {
        await client.xGroupCreate('key', 'group', '$', {
            MKSTREAM: true
        });
        assert_1.strict.deepEqual(await client.xInfoGroups('key'), [{
                name: 'group',
                consumers: 0,
                pending: 0,
                lastDeliveredId: '0-0'
            }]);
    });
});
