"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const XPENDING_1 = require("./XPENDING");
describe('XPENDING', () => {
    describe('transformArguments', () => {
        it('transformArguments', () => {
            assert_1.strict.deepEqual(XPENDING_1.transformArguments('key', 'group'), ['XPENDING', 'key', 'group']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.xPending', async (client) => {
        await client.xGroupCreate('key', 'group', '$', {
            MKSTREAM: true
        });
        assert_1.strict.deepEqual(await client.xPending('key', 'group'), {
            pending: 0,
            firstId: null,
            lastId: null,
            consumers: null
        });
    });
});
