"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const XPENDING_RANGE_1 = require("./XPENDING_RANGE");
describe('XPENDING RANGE', () => {
    describe('transformArguments', () => {
        it('simple', () => {
            assert_1.strict.deepEqual(XPENDING_RANGE_1.transformArguments('key', 'group', '-', '+', 1), ['XPENDING', 'key', 'group', '-', '+', '1']);
        });
        it('with IDLE', () => {
            assert_1.strict.deepEqual(XPENDING_RANGE_1.transformArguments('key', 'group', '-', '+', 1, {
                IDLE: 1,
            }), ['XPENDING', 'key', 'group', 'IDLE', '1', '-', '+', '1']);
        });
        it('with consumer', () => {
            assert_1.strict.deepEqual(XPENDING_RANGE_1.transformArguments('key', 'group', '-', '+', 1, {
                consumer: 'consumer'
            }), ['XPENDING', 'key', 'group', '-', '+', '1', 'consumer']);
        });
        it('with IDLE, consumer', () => {
            assert_1.strict.deepEqual(XPENDING_RANGE_1.transformArguments('key', 'group', '-', '+', 1, {
                IDLE: 1,
                consumer: 'consumer'
            }), ['XPENDING', 'key', 'group', 'IDLE', '1', '-', '+', '1', 'consumer']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.xPendingRange', async (client) => {
        await client.xGroupCreate('key', 'group', '$', {
            MKSTREAM: true
        });
        assert_1.strict.deepEqual(await client.xPendingRange('key', 'group', '-', '+', 1), []);
    });
});
