"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const XRANGE_1 = require("./XRANGE");
describe('XRANGE', () => {
    describe('transformArguments', () => {
        it('simple', () => {
            assert_1.strict.deepEqual(XRANGE_1.transformArguments('key', '-', '+'), ['XRANGE', 'key', '-', '+']);
        });
        it('with COUNT', () => {
            assert_1.strict.deepEqual(XRANGE_1.transformArguments('key', '-', '+', {
                COUNT: 1
            }), ['XRANGE', 'key', '-', '+', 'COUNT', '1']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.xRange', async (client) => {
        assert_1.strict.deepEqual(await client.xRange('key', '+', '-'), []);
    });
});
