"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const XREVRANGE_1 = require("./XREVRANGE");
describe('XREVRANGE', () => {
    describe('transformArguments', () => {
        it('simple', () => {
            assert_1.strict.deepEqual(XREVRANGE_1.transformArguments('key', '-', '+'), ['XREVRANGE', 'key', '-', '+']);
        });
        it('with COUNT', () => {
            assert_1.strict.deepEqual(XREVRANGE_1.transformArguments('key', '-', '+', {
                COUNT: 1
            }), ['XREVRANGE', 'key', '-', '+', 'COUNT', '1']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.xRevRange', async (client) => {
        assert_1.strict.deepEqual(await client.xRevRange('key', '+', '-'), []);
    });
});
