"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const XTRIM_1 = require("./XTRIM");
describe('XTRIM', () => {
    it('transformArguments', () => {
        it('simple', () => {
            assert_1.strict.deepEqual(XTRIM_1.transformArguments('key', 'MAXLEN', 1), ['XTRIM', 'key', 'MAXLEN', '1']);
        });
        it('with strategyModifier', () => {
            assert_1.strict.deepEqual(XTRIM_1.transformArguments('key', 'MAXLEN', 1, {
                strategyModifier: '='
            }), ['XTRIM', 'key', 'MAXLEN', '=', '1']);
        });
        it('with LIMIT', () => {
            assert_1.strict.deepEqual(XTRIM_1.transformArguments('key', 'MAXLEN', 1, {
                LIMIT: 1
            }), ['XTRIM', 'key', 'MAXLEN', '1', 'LIMIT', '1']);
        });
        it('with strategyModifier, LIMIT', () => {
            assert_1.strict.deepEqual(XTRIM_1.transformArguments('key', 'MAXLEN', 1, {
                strategyModifier: '=',
                LIMIT: 1
            }), ['XTRIM', 'key', 'MAXLEN', '=', '1', 'LIMIT', '1']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.xTrim', async (client) => {
        assert_1.strict.deepEqual(await client.xTrim('key', 'MAXLEN', 1), []);
    });
});
