"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const ZDIFFSTORE_1 = require("./ZDIFFSTORE");
describe('ZDIFFSTORE', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(ZDIFFSTORE_1.transformArguments('destination', 'key'), ['ZDIFFSTORE', 'destination', '1', 'key']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(ZDIFFSTORE_1.transformArguments('destination', ['1', '2']), ['ZDIFFSTORE', 'destination', '2', '1', '2']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.zDiffStore', async (client) => {
        assert_1.strict.equal(await client.zDiffStore('destination', 'key'), 0);
    });
});
