"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const ZINTER_1 = require("./ZINTER");
describe('ZINTER', () => {
    describe('transformArguments', () => {
        it('key (string)', () => {
            assert_1.strict.deepEqual(ZINTER_1.transformArguments('key'), ['ZINTER', '1', 'key']);
        });
        it('keys (array)', () => {
            assert_1.strict.deepEqual(ZINTER_1.transformArguments(['1', '2']), ['ZINTER', '2', '1', '2']);
        });
        it('with WEIGHTS', () => {
            assert_1.strict.deepEqual(ZINTER_1.transformArguments('key', {
                WEIGHTS: [1]
            }), ['ZINTER', '1', 'key', 'WEIGHTS', '1']);
        });
        it('with AGGREGATE', () => {
            assert_1.strict.deepEqual(ZINTER_1.transformArguments('key', {
                AGGREGATE: 'SUM'
            }), ['ZINTER', '1', 'key', 'AGGREGATE', 'SUM']);
        });
        it('with WEIGHTS, AGGREGATE', () => {
            assert_1.strict.deepEqual(ZINTER_1.transformArguments('key', {
                WEIGHTS: [1],
                AGGREGATE: 'SUM'
            }), ['ZINTER', '1', 'key', 'WEIGHTS', '1', 'AGGREGATE', 'SUM']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.zInter', async (client) => {
        assert_1.strict.deepEqual(await client.zInter('key'), []);
    });
});
