"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const ZINTERSTORE_1 = require("./ZINTERSTORE");
describe('ZINTERSTORE', () => {
    describe('transformArguments', () => {
        it('key (string)', () => {
            assert_1.strict.deepEqual(ZINTERSTORE_1.transformArguments('destination', 'key'), ['ZINTERSTORE', 'destination', '1', 'key']);
        });
        it('keys (array)', () => {
            assert_1.strict.deepEqual(ZINTERSTORE_1.transformArguments('destination', ['1', '2']), ['ZINTERSTORE', 'destination', '2', '1', '2']);
        });
        it('with WEIGHTS', () => {
            assert_1.strict.deepEqual(ZINTERSTORE_1.transformArguments('destination', 'key', {
                WEIGHTS: [1]
            }), ['ZINTERSTORE', 'destination', '1', 'key', 'WEIGHTS', '1']);
        });
        it('with AGGREGATE', () => {
            assert_1.strict.deepEqual(ZINTERSTORE_1.transformArguments('destination', 'key', {
                AGGREGATE: 'SUM'
            }), ['ZINTERSTORE', 'destination', '1', 'key', 'AGGREGATE', 'SUM']);
        });
        it('with WEIGHTS, AGGREGATE', () => {
            assert_1.strict.deepEqual(ZINTERSTORE_1.transformArguments('destination', 'key', {
                WEIGHTS: [1],
                AGGREGATE: 'SUM'
            }), ['ZINTERSTORE', 'destination', '1', 'key', 'WEIGHTS', '1', 'AGGREGATE', 'SUM']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.zInterStore', async (client) => {
        assert_1.strict.equal(await client.zInterStore('destination', 'key'), 0);
    });
});
