"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const ZINTER_WITHSCORES_1 = require("./ZINTER_WITHSCORES");
describe('ZINTER WITHSCORES', () => {
    describe('transformArguments', () => {
        it('key (string)', () => {
            assert_1.strict.deepEqual(ZINTER_WITHSCORES_1.transformArguments('key'), ['ZINTER', '1', 'key', 'WITHSCORES']);
        });
        it('keys (array)', () => {
            assert_1.strict.deepEqual(ZINTER_WITHSCORES_1.transformArguments(['1', '2']), ['ZINTER', '2', '1', '2', 'WITHSCORES']);
        });
        it('with WEIGHTS', () => {
            assert_1.strict.deepEqual(ZINTER_WITHSCORES_1.transformArguments('key', {
                WEIGHTS: [1]
            }), ['ZINTER', '1', 'key', 'WEIGHTS', '1', 'WITHSCORES']);
        });
        it('with AGGREGATE', () => {
            assert_1.strict.deepEqual(ZINTER_WITHSCORES_1.transformArguments('key', {
                AGGREGATE: 'SUM'
            }), ['ZINTER', '1', 'key', 'AGGREGATE', 'SUM', 'WITHSCORES']);
        });
        it('with WEIGHTS, AGGREGATE', () => {
            assert_1.strict.deepEqual(ZINTER_WITHSCORES_1.transformArguments('key', {
                WEIGHTS: [1],
                AGGREGATE: 'SUM'
            }), ['ZINTER', '1', 'key', 'WEIGHTS', '1', 'AGGREGATE', 'SUM', 'WITHSCORES']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.zInterWithScores', async (client) => {
        assert_1.strict.deepEqual(await client.zInterWithScores('key'), []);
    });
});
