"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const ZMSCORE_1 = require("./ZMSCORE");
describe('ZMSCORE', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(ZMSCORE_1.transformArguments('key', 'member'), ['ZMSCORE', 'key', 'member']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(ZMSCORE_1.transformArguments('key', ['1', '2']), ['ZMSCORE', 'key', '1', '2']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.zmScore', async (client) => {
        assert_1.strict.deepEqual(await client.zmScore('key', 'member'), [null]);
    });
});
