"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const ZRANGE_1 = require("./ZRANGE");
describe('ZRANGE', () => {
    describe('transformArguments', () => {
        it('simple', () => {
            assert_1.strict.deepEqual(ZRANGE_1.transformArguments('src', 0, 1), ['ZRANGE', 'src', '0', '1']);
        });
        it('with BY', () => {
            assert_1.strict.deepEqual(ZRANGE_1.transformArguments('src', 0, 1, {
                BY: 'SCORE'
            }), ['ZRANGE', 'src', '0', '1', 'BYSCORE']);
        });
        it('with REV', () => {
            assert_1.strict.deepEqual(ZRANGE_1.transformArguments('src', 0, 1, {
                REV: true
            }), ['ZRANGE', 'src', '0', '1', 'REV']);
        });
        it('with LIMIT', () => {
            assert_1.strict.deepEqual(ZRANGE_1.transformArguments('src', 0, 1, {
                LIMIT: {
                    offset: 0,
                    count: 1
                }
            }), ['ZRANGE', 'src', '0', '1', 'LIMIT', '0', '1']);
        });
        it('with BY & REV & LIMIT', () => {
            assert_1.strict.deepEqual(ZRANGE_1.transformArguments('src', 0, 1, {
                BY: 'SCORE',
                REV: true,
                LIMIT: {
                    offset: 0,
                    count: 1
                }
            }), ['ZRANGE', 'src', '0', '1', 'BYSCORE', 'REV', 'LIMIT', '0', '1']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.zRange', async (client) => {
        assert_1.strict.deepEqual(await client.zRange('src', 0, 1), []);
    });
});
