"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const ZRANGE_WITHSCORES_1 = require("./ZRANGE_WITHSCORES");
describe('ZRANGE WITHSCORES', () => {
    describe('transformArguments', () => {
        it('simple', () => {
            assert_1.strict.deepEqual(ZRANGE_WITHSCORES_1.transformArguments('src', 0, 1), ['ZRANGE', 'src', '0', '1', 'WITHSCORES']);
        });
        it('with BY', () => {
            assert_1.strict.deepEqual(ZRANGE_WITHSCORES_1.transformArguments('src', 0, 1, {
                BY: 'SCORE'
            }), ['ZRANGE', 'src', '0', '1', 'BYSCORE', 'WITHSCORES']);
        });
        it('with REV', () => {
            assert_1.strict.deepEqual(ZRANGE_WITHSCORES_1.transformArguments('src', 0, 1, {
                REV: true
            }), ['ZRANGE', 'src', '0', '1', 'REV', 'WITHSCORES']);
        });
        it('with LIMIT', () => {
            assert_1.strict.deepEqual(ZRANGE_WITHSCORES_1.transformArguments('src', 0, 1, {
                LIMIT: {
                    offset: 0,
                    count: 1
                }
            }), ['ZRANGE', 'src', '0', '1', 'LIMIT', '0', '1', 'WITHSCORES']);
        });
        it('with BY & REV & LIMIT', () => {
            assert_1.strict.deepEqual(ZRANGE_WITHSCORES_1.transformArguments('src', 0, 1, {
                BY: 'SCORE',
                REV: true,
                LIMIT: {
                    offset: 0,
                    count: 1
                }
            }), ['ZRANGE', 'src', '0', '1', 'BYSCORE', 'REV', 'LIMIT', '0', '1', 'WITHSCORES']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.zRangeWithScores', async (client) => {
        assert_1.strict.deepEqual(await client.zRangeWithScores('src', 0, 1), []);
    });
});
