"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const ZREM_1 = require("./ZREM");
describe('ZREM', () => {
    describe('transformArguments', () => {
        it('string', () => {
            assert_1.strict.deepEqual(ZREM_1.transformArguments('key', 'member'), ['ZREM', 'key', 'member']);
        });
        it('array', () => {
            assert_1.strict.deepEqual(ZREM_1.transformArguments('key', ['1', '2']), ['ZREM', 'key', '1', '2']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.zRem', async (client) => {
        assert_1.strict.equal(await client.zRem('key', 'member'), 0);
    });
});
