"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const ZUNION_1 = require("./ZUNION");
describe('ZUNION', () => {
    describe('transformArguments', () => {
        it('key (string)', () => {
            assert_1.strict.deepEqual(ZUNION_1.transformArguments('key'), ['ZUNION', '1', 'key']);
        });
        it('keys (array)', () => {
            assert_1.strict.deepEqual(ZUNION_1.transformArguments(['1', '2']), ['ZUNION', '2', '1', '2']);
        });
        it('with WEIGHTS', () => {
            assert_1.strict.deepEqual(ZUNION_1.transformArguments('key', {
                WEIGHTS: [1]
            }), ['ZUNION', '1', 'key', 'WEIGHTS', '1']);
        });
        it('with AGGREGATE', () => {
            assert_1.strict.deepEqual(ZUNION_1.transformArguments('key', {
                AGGREGATE: 'SUM'
            }), ['ZUNION', '1', 'key', 'AGGREGATE', 'SUM']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.zUnion', async (client) => {
        assert_1.strict.deepEqual(await client.zUnion('key'), []);
    });
});
