"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const ZUNION_WITHSCORES_1 = require("./ZUNION_WITHSCORES");
describe('ZUNION WITHSCORES', () => {
    describe('transformArguments', () => {
        it('key (string)', () => {
            assert_1.strict.deepEqual(ZUNION_WITHSCORES_1.transformArguments('key'), ['ZUNION', '1', 'key', 'WITHSCORES']);
        });
        it('keys (array)', () => {
            assert_1.strict.deepEqual(ZUNION_WITHSCORES_1.transformArguments(['1', '2']), ['ZUNION', '2', '1', '2', 'WITHSCORES']);
        });
        it('with WEIGHTS', () => {
            assert_1.strict.deepEqual(ZUNION_WITHSCORES_1.transformArguments('key', {
                WEIGHTS: [1]
            }), ['ZUNION', '1', 'key', 'WEIGHTS', '1', 'WITHSCORES']);
        });
        it('with AGGREGATE', () => {
            assert_1.strict.deepEqual(ZUNION_WITHSCORES_1.transformArguments('key', {
                AGGREGATE: 'SUM'
            }), ['ZUNION', '1', 'key', 'AGGREGATE', 'SUM', 'WITHSCORES']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.zUnionWithScores', async (client) => {
        assert_1.strict.deepEqual(await client.zUnionWithScores('key'), []);
    });
});
