export declare function transformReplyNumber(reply: number): number;
export declare function transformReplyNumberNull(reply: number | null): number | null;
export declare function transformReplyString(reply: string): string;
export declare function transformReplyStringNull(reply: string | null): string | null;
export declare function transformReplyStringArray(reply: Array<string>): Array<string>;
export declare function transformReplyStringArrayNull(reply: Array<string> | null): Array<string> | null;
export declare function transformReplyBoolean(reply: number): boolean;
export declare function transformReplyBooleanArray(reply: Array<number>): Array<boolean>;
export interface ScanOptions {
    MATCH?: string;
    COUNT?: number;
}
export declare function transformScanArguments(cursor: number, options?: ScanOptions): Array<string>;
export interface ScanReply {
    cursor: number;
    keys: Array<string>;
}
export declare function transformScanReply([cursor, keys]: [string, Array<string>]): ScanReply;
export declare function transformReplyNumberInfinity(reply: string): number;
export declare function transformReplyNumberInfinityArray(reply: Array<string>): Array<number | null>;
export declare function transformReplyNumberInfinityNull(reply: string | null): number | null;
export declare function transformReplyNumberInfinityNullArray(reply: Array<string | null>): Array<number | null>;
export declare function transformArgumentNumberInfinity(num: number): string;
export interface TupelsObject {
    [field: string]: string;
}
export declare function transformReplyTupels(reply: Array<string>): TupelsObject;
export interface StreamMessageReply {
    id: string;
    message: TupelsObject;
}
export declare type StreamMessagesReply = Array<StreamMessageReply>;
export declare function transformReplyStreamMessages(reply: Array<any>): StreamMessagesReply;
export declare type StreamsMessagesReply = Array<{
    name: string;
    messages: StreamMessagesReply;
}>;
export declare function transformReplyStreamsMessages(reply: Array<any>): StreamsMessagesReply;
export declare function transformReplyStreamsMessagesNull(reply: Array<any> | null): StreamsMessagesReply | null;
export interface ZMember {
    score: number;
    value: string;
}
export declare function transformReplySortedSetWithScores(reply: Array<string>): Array<ZMember>;
