"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformReplySortedSetWithScores = exports.transformReplyStreamsMessagesNull = exports.transformReplyStreamsMessages = exports.transformReplyStreamMessages = exports.transformReplyTupels = exports.transformArgumentNumberInfinity = exports.transformReplyNumberInfinityNullArray = exports.transformReplyNumberInfinityNull = exports.transformReplyNumberInfinityArray = exports.transformReplyNumberInfinity = exports.transformScanReply = exports.transformScanArguments = exports.transformReplyBooleanArray = exports.transformReplyBoolean = exports.transformReplyStringArrayNull = exports.transformReplyStringArray = exports.transformReplyStringNull = exports.transformReplyString = exports.transformReplyNumberNull = exports.transformReplyNumber = void 0;
function transformReplyNumber(reply) {
    return reply;
}
exports.transformReplyNumber = transformReplyNumber;
function transformReplyNumberNull(reply) {
    return reply;
}
exports.transformReplyNumberNull = transformReplyNumberNull;
function transformReplyString(reply) {
    return reply;
}
exports.transformReplyString = transformReplyString;
function transformReplyStringNull(reply) {
    return reply;
}
exports.transformReplyStringNull = transformReplyStringNull;
function transformReplyStringArray(reply) {
    return reply;
}
exports.transformReplyStringArray = transformReplyStringArray;
function transformReplyStringArrayNull(reply) {
    return reply;
}
exports.transformReplyStringArrayNull = transformReplyStringArrayNull;
function transformReplyBoolean(reply) {
    return reply === 1;
}
exports.transformReplyBoolean = transformReplyBoolean;
function transformReplyBooleanArray(reply) {
    return reply.map(transformReplyBoolean);
}
exports.transformReplyBooleanArray = transformReplyBooleanArray;
function transformScanArguments(cursor, options) {
    const args = [cursor.toString()];
    if (options?.MATCH) {
        args.push('MATCH', options.MATCH);
    }
    if (options?.COUNT) {
        args.push('COUNT', options.COUNT.toString());
    }
    return args;
}
exports.transformScanArguments = transformScanArguments;
function transformScanReply([cursor, keys]) {
    return {
        cursor: Number(cursor),
        keys
    };
}
exports.transformScanReply = transformScanReply;
function transformReplyNumberInfinity(reply) {
    switch (reply) {
        case '+inf':
            return Infinity;
        case '-inf':
            return -Infinity;
        default:
            return Number(reply);
    }
}
exports.transformReplyNumberInfinity = transformReplyNumberInfinity;
function transformReplyNumberInfinityArray(reply) {
    return reply.map(transformReplyNumberInfinity);
}
exports.transformReplyNumberInfinityArray = transformReplyNumberInfinityArray;
function transformReplyNumberInfinityNull(reply) {
    if (reply === null)
        return null;
    return transformReplyNumberInfinity(reply);
}
exports.transformReplyNumberInfinityNull = transformReplyNumberInfinityNull;
function transformReplyNumberInfinityNullArray(reply) {
    return reply.map(transformReplyNumberInfinityNull);
}
exports.transformReplyNumberInfinityNullArray = transformReplyNumberInfinityNullArray;
function transformArgumentNumberInfinity(num) {
    switch (num) {
        case Infinity:
            return '+inf';
        case -Infinity:
            return '-inf';
        default:
            return num.toString();
    }
}
exports.transformArgumentNumberInfinity = transformArgumentNumberInfinity;
function transformReplyTupels(reply) {
    const message = Object.create(null);
    for (let i = 0; i < reply.length; i += 2) {
        message[reply[i]] = reply[i + 1];
    }
    return message;
}
exports.transformReplyTupels = transformReplyTupels;
function transformReplyStreamMessages(reply) {
    const messages = [];
    for (let i = 0; i < reply.length; i += 2) {
        messages.push({
            id: reply[i],
            message: transformReplyTupels(reply[i + 1])
        });
    }
    return messages;
}
exports.transformReplyStreamMessages = transformReplyStreamMessages;
function transformReplyStreamsMessages(reply) {
    return reply.map(([name, rawMessages]) => ({
        name,
        messages: transformReplyStreamMessages(rawMessages)
    }));
}
exports.transformReplyStreamsMessages = transformReplyStreamsMessages;
function transformReplyStreamsMessagesNull(reply) {
    if (reply === null)
        return null;
    return transformReplyStreamsMessages(reply);
}
exports.transformReplyStreamsMessagesNull = transformReplyStreamsMessagesNull;
function transformReplySortedSetWithScores(reply) {
    const members = [];
    for (let i = 0; i < reply.length; i += 2) {
        members.push({
            value: reply[i],
            score: transformReplyNumberInfinity(reply[i + 1])
        });
    }
    return members;
}
exports.transformReplySortedSetWithScores = transformReplySortedSetWithScores;
