"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const multi_command_1 = __importDefault(require("./multi-command"));
const commands_queue_1 = __importDefault(require("./commands-queue"));
describe('Multi Command', () => {
    it('exec', async () => {
        const multi = multi_command_1.default.create(queue => {
            assert_1.strict.deepEqual(queue.map(({ encodedCommand }) => encodedCommand), [
                commands_queue_1.default.encodeCommand(['MULTI']),
                commands_queue_1.default.encodeCommand(['PING']),
                commands_queue_1.default.encodeCommand(['EXEC']),
            ]);
            return Promise.resolve(['QUEUED', 'QUEUED', ['PONG']]);
        });
        multi.ping();
        assert_1.strict.deepEqual(await multi.exec(), ['PONG']);
    });
    it('execAsPipeline', async () => {
        const multi = multi_command_1.default.create(queue => {
            assert_1.strict.deepEqual(queue.map(({ encodedCommand }) => encodedCommand), [commands_queue_1.default.encodeCommand(['PING'])]);
            return Promise.resolve(['PONG']);
        });
        multi.ping();
        assert_1.strict.deepEqual(await multi.execAsPipeline(), ['PONG']);
    });
});
