"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const socket_1 = __importDefault(require("./socket"));
describe('Socket', () => {
    describe('retryStrategy', () => {
        it('custom strategy', async () => {
            let counter = 0;
            const socket = new socket_1.default(undefined, {
                host: 'error',
                retryStrategy(retries) {
                    assert_1.strict.equal(counter++, retries);
                    if (retries === 50) {
                        return Error('50');
                    }
                    return 0;
                }
            });
            socket.on('error', () => {
                // ignore errors
            });
            await assert_1.strict.rejects(socket.connect(), {
                message: '50'
            });
        });
    });
});
