import { RedisClientType } from './client';
import { RedisModules } from './commands';
import { RedisLuaScripts } from './lua-script';
import { RedisSocketOptions } from './socket';
import { SinonSpy } from 'sinon';
import { RedisClusterType } from './cluster';
export declare enum TestRedisServers {
    OPEN = 0,
    PASSWORD = 1
}
export declare const TEST_REDIS_SERVERS: Record<TestRedisServers, RedisSocketOptions>;
export declare enum TestRedisClusters {
    OPEN = 0
}
export declare const TEST_REDIS_CLUSTERES: Record<TestRedisClusters, Array<RedisSocketOptions>>;
export declare function itWithClient(type: TestRedisServers, title: string, fn: (client: RedisClientType<RedisModules, RedisLuaScripts>) => Promise<void>): void;
export declare function itWithCluster(type: TestRedisClusters, title: string, fn: (cluster: RedisClusterType<RedisModules, RedisLuaScripts>) => Promise<void>): void;
export declare function waitTillBeenCalled(spy: SinonSpy): Promise<void>;
